This endpoint will provide you with the keyword popularity data from DataForSEO Trends. In addition to keyword popularity rate over the given time range, you will get location-specific keyword popularity data, and a demographic breakdown of keyword popularity per each specified term along with comparative values.

You can check keyword trends for Google Search, Google News, and Google Shopping.

How our algorithm works: Our algorithm provides insights into the popularity of specific keywords based on their association with relevant web pages, news articles, or shopping listings, as well as the popularity of each relevant piece of content. We also combine this information with anonymous user web behavior data from various sources. Learn more on our Help Center.

You will get information for every single keyword in an array.

You can send up to 5 keywords in one keywords array. Our system will charge your account per each request, no matter what number of keywords an array has.

Historical data for the web type: available from 2004-01-01;
Historical data for other types: available from 2008-01-01.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of requests that can be sent simultaneously is limited to 30.
Visit DataForSEO Help Center to get practical tips for request handling depending on your Keyword Data API payload volume.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
keywordsarray

keywords
required field
the maximum number of keywords you can specify: 5
avoid symbols and special characters (e.g., UTF symbols, emojis);
specifying non-Latin characters, you’ll get data for the countries where they are used

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_namestring

full name of search engine location
optional field
if you don't use this field, you will recieve global results
if you use this field, you don't need to specify location_code
you can receive the list of available locations of the search engine with their location_name by making a separate request to https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/locations
note that the data will be provided for the country the specified location_name belongs to;
example:
United Kingdom

location_codeinteger

search engine location code
optional field
if you don't use this field, you will recieve global results
if you use this field, you don't need to specify location_name
you can receive the list of available locations of the search engines with their location_code by making a separate request to https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/locations
note that the data will be provided for the country the specified location_code belongs to;
example:
2840

typestring

dataforseo trends type
optional field
if you don't specify this field, the web type will be used by default
possible values: web, news, ecommerce

date_fromstring

starting date of the time range
optional field
if you don't specify this field, the current day and month of the preceding year will be used by default
minimal value for the web type: 2004-01-01
minimal value for other types: 2008-01-01
date format: "yyyy-mm-dd"
example:
"2019-01-15"

date_tostring

ending date of the time range
optional field
if you don't specify this field, the today's date will be used by default
date format: "yyyy-mm-dd"
example:
"2019-01-15"

time_rangestring

preset time ranges
optional field
if you specify date_from or date_to parameters, this field will be ignored when setting a task
possible values for all type parameters:
past_4_hours, past_day, past_7_days, past_30_days, past_90_days, past_12_months, past_5_years

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response



As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordsarray

keywords in a POST array

        typearray

search engine type in a POST array

        location_codeinteger

location code in a POST array
if there is no data, then the value is_nulln

        language_codestring

language code in a POST array
if there is no data, then the value is_nulln

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        items_countinteger

the number of results returned in the items array

        itemsarray

contains keyword popularity and related data

        dataforseo_trends_graph_elementobject
            positioninteger

the alignment of the element
can take the following values: 1, 2, 3, 4, etc.

            typestring

type of element = ‘dataforseo_trends_graph’

            keywordsarray

relevant keywords
the data included in the dataforseo_trends_graph element is based on the keywords listed in this array

            dataarray

DataForSEO Trends data for the specified parameters

                date_fromstring

start date of the corresponding time range
in the UTC format: "yyyy-mm-dd"

                date_tostring

end date of the corresponding time range
in the UTC format: "yyyy-mm-dd"

                timestampinteger

a point in time in the Unix time format

                valuesarray

relative keyword popularity rate at a specific timestamp
if you specify more than one keyword, the values will be averaged to the highest value across all specified keywords
a value of 100 is the peak popularity for the term
a value of 50 means that the term is half as popular
a value of 0 means there was not enough data for this term

            averagesarray

keyword popularity values averaged over the whole time range

        subregion_interests_elementobject
            positioninteger

the alignment of the element
can take the following values: 1, 2, 3, 4, etc.

            typestring

type of element = ‘subregion_interests’

            keywordsarray

relevant keywords
the data included in the interests and interests_comparison is based on the keywords listed in this array

            interestsarray

subregional keyword popuarity data for each specified term

                keywordstring

relevant keyword
the data included in the values element is based on this keyword

                valuesarray

contains data on relative keyword popularity by country or region

                    geo_idstring

location identifier
you can use this field for matching obtained results with location parameters specified in the request
see the full list of available locations with their geo_id here or by making a separate request to https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/locations
example:
US-NY

                    geo_namestring

location name
you can use this field for matching obtained results with location parameters specified in the request
see the full list of available locations with their geo_name here or by making a separate request to https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/locations
example:
Andorra

                    valueinteger

relative keyword popularity rate in a given location
represents location-specific keyword popularity rate over the specified time range;
using this value you can understand how popular a keyword is in one location compared to another location;
calculation: we determine the highest popularity value for the relevant keyword across all locations, and then express all other values as a percentage of that highest value (100);
a value of 100 is the highest popularity for the term
a value of 50 means that the term is half as popular
a value of 0 means there was not enough data for this term

            interests_comparisonobject

comparison of data on subregional keyword popularity for the specified parameters
if you specified a single keyword, the value will be null

                itemsarray

keyword popularity values per location
values in this array represent percentages relative to the maximum value within each region

                    geo_idstring

location identifier
you can use this field for matching obtained results with location parameters specified in the request
see the full list of available locations with their geo_id here or by making a separate request to https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/locations
example:
US-NY

                    geo_namestring

location name
you can use this field for matching obtained results with location parameters specified in the request
see the full list of available locations with their geo_name here or by making a separate request to https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/locations
example:
Andorra

                    valuesarray

keyword popularity rates within a given location
represents location-specific keyword popularity rate over the specified time range;
using these values, you can understand which of the specified keywords is more popular in the related location;
the first value in the array is provided for the first term from the keywords array, the second value is provided for the second keyword, and so on;
calculation: we determine the highest popularity value across all specified keywords within a given location, and then express the popularity values of each keyword as a percentage of the highest value (100);
a value of 100 is the peak popularity for the term
a value of 50 means that the term is half as popular
a value of 0 means there was not enough data for this term

                absolute_itemsarray

keyword popularity rates across all locations
values in this array represent percentages relative to the maximum value across all locations

                    geo_idstring

location identifier
you can use this field for matching obtained results with location parameters specified in the request
see the full list of available locations with their geo_id here or by making a separate request to https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/locations
example:
US-NY

                    geo_namestring

location name
you can use this field for matching obtained results with location parameters specified in the request
see the full list of available locations with their geo_name here or by making a separate request to https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/locations
example:
Andorra

                    valuesarray

keyword popularity rates relative to all locations
represents location-specific keyword popularity rate over the specified time range;
using these values, you can understand how popular each keyword is compared to all other keywords across all locations;
the first value in the array is provided for the first term from the keywords array, the second value is provided for the second keyword, and so on;
calculation: we determine the highest popularity value across all keywords across all locations, and then express all other values as a percentage of that highest value (100);
a value of 100 is the peak popularity for the term
a value of 50 means that the term is half as popular
a value of 0 means there was not enough data for this term

        demography_elementobject
            positioninteger

the alignment of the element
can take the following values: 1, 2, 3, 4, etc.

            typestring

type of element = ‘demography’

            keywordsarray

relevant keywords
the data included in the demography and demography_comparison is based on the keywords listed in this array

            demographyobject

demographic breakdown of keyword popularity data per each specified term
conains keyword popularity data by age and gender

                agearray

distribution of keyword popularity by age

                    keywordstring

relevant keyword for which demographic data is provided

                    valuesarray

contains age range and corresponding keyword popularity values

                        typestring

age range
can take the following values: 18-24, 25-34, 35-44, 45-54, 55-64

                        valueinteger

keyword popularity rate within the specified age range
using this value you can understand how popular a keyword is within each age range;
calculation: we determine the highest popularity value for the relevant keyword across all age groups, and then express all other values as a percentage of that highest value (100);
a value of 100 is the highest popularity for the term
a value of 0 means there was not enough data for this term

                genderarray

distribution of keyword popularity by gender

                    keywordstring

relevant keyword for which demographic data is provided

                    valuesarray

contains gender and corresponding keyword popularity values

                        typestring

gender category
can take the following values: female, male

                        valueinteger

keyword popularity rate within the specified gender category
using this value you can understand how popular a keyword is within each gender category;
calculation: we determine the highest popularity value for the relevant keyword across all gender categories, and then express all other values as a percentage of that highest value (100);
a value of 100 is the highest popularity for the term;
a value of 0 means there was not enough data for this term

            demography_comparisonobject

comparison of demographic data on keyword popularity for the specified parameters
conains keyword popularity data by age and gender
if you specified a single keyword, the value will be null

                ageobject

comparison of keyword popularity data by age

                    $18-24array

indicates age range and contains corresponding keyword popularity values
contains comparison of keyword popularity for the specified terms within the specified age range
variable can take the following values: 18-24, 18-24, 25-34, 35-44, 45-54, 55-64;
using the values from this array, you can understand which of the specified keywords is more popular within the related age range;
the first value in the array is provided for the first term from the keywords array, the second value is provided for the second keyword, and so on;
calculation: we determine the total popularity value of all keywords within each age range, and then express all other values as a percentage of the total value (100);
a value of 100 is the highest popularity for the term
a value of 0 means there was not enough data for this term

                genderobject

comparison of keyword popularity data by gender

                    femalearray

indicates gender category and contains corresponding keyword popularity values
contains comparison of keyword popularity for the specified terms within the specified gender category;
using the values from this array, you can understand which of the specified keywords is more popular within the related gender category;
the first value in the array is provided for the first term from the keywords array, the second value is provided for the second keyword, and so on;
calculation: we determine the total popularity value of all keywords within each gender category, and then express all other values as a percentage of the total value (100);
a value of 100 is the highest popularity for the term
a value of 0 means there was not enough data for this term

                    malearray

indicates gender category and contains corresponding keyword popularity values
contains comparison of keyword popularity for the specified terms within the specified gender category;
using the values from this array, you can understand which of the specified keywords is more popular within the related gender category;
the first value in the array is provided for the first term from the keywords array, the second value is provided for the second keyword, and so on;
calculation: we determine the total popularity value of all keywords within each gender category, and then express all other values as a percentage of the total value (100);
a value of 100 is the highest popularity for the term
a value of 0 means there was not enough data for this term

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/merged_data/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "keywords": [
            "rugby",
            "cricket"
        ],
        "date_from": "2023-01-01",
        "date_to": "2024-01-01",
        "type": "web",
        "location_name": "United States"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
$post_array = array();
// simple way to set a task
$post_array[] = array(
	"location_name" => "United States",
	"date_from" => "2023-01-01",
	"date_to" => "2024-01-01",
	"type" => "web",
	"keywords" => array(
		"rugby",
		"cricket"
	)
);
try {
	// POST /v3/keywords_data/dataforseo_trends/merged_data/live
	$result = $client->post('/v3/keywords_data/dataforseo_trends/merged_data/live', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "location_name": "United States",
  "date_from": "2019-01-01",
  "date_to": "2020-01-01",
  "type": "web",
  "category_code": 3,
  "keywords": ["rugby", "cricket"]
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/keywords_data/dataforseo_trends/merged_data/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    location_name="United States",
    date_from="2023-01-01",
    date_to="2024-01-01",
    type="web",
    keywords=[
        "rugby",
        "cricket"
    ]
)
# POST /v3/keywords_data/dataforseo_trends/merged_data/live
# the full list of possible parameters is available in documentation
response = client.post("/v3/keywords_data/dataforseo_trends/merged_data/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task keywords_data_trends_explore_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                location_name = "United States",
                date_from = "2023-01-01",
                date_to = "2024-01-01",
                type = "web",
                keywords = new[]
                {
                    "rugby",
                    "cricket"
                }
            });
            // POST /v3/keywords_data/dataforseo_trends/merged_data/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/keywords_data/dataforseo_trends/merged_data/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20231117",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.6291 sec.",
    "cost": 0.005,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "03121401-1535-0575-0000-972fd45034ab",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.5700 sec.",
            "cost": 0.005,
            "result_count": 1,
            "path": [
                "v3",
                "keywords_data",
                "dataforseo_trends",
                "merged_data",
                "live"
            ],
            "data": {
                "api": "keywords_data",
                "function": "merged_data",
                "se": "dataforseo_trends",
                "keywords": [
                    "rugby",
                    "cricket"
                ],
                "date_from": "2023-01-01",
                "date_to": "2024-01-01",
                "type": "web",
                "location_name": "United States"
            },
            "result": [
                {
                    "keywords": [
                        "rugby",
                        "cricket"
                    ],
                    "type": "trends",
                    "location_code": 2840,
                    "language_code": null,
                    "datetime": "2024-03-12 12:01:58 +00:00",
                    "items_count": 3,
                    "items": [
                        {
                            "position": 1,
                            "type": "dataforseo_trends_graph",
                            "keywords": [
                                "rugby",
                                "cricket"
                            ],
                            "data": [
                                {
                                    "date_from": "2023-01-01",
                                    "date_to": "2023-01-07",
                                    "timestamp": 1672531200,
                                    "values": [
                                        4,
                                        28
                                    ]
                                },
                                {
                                    "date_from": "2023-01-08",
                                    "date_to": "2023-01-14",
                                    "timestamp": 1673136000,
                                    "values": [
                                        7,
                                        32
                                    ]
                                },
                                {
                                    "date_from": "2023-01-15",
                                    "date_to": "2023-01-21",
                                    "timestamp": 1673740800,
                                    "values": [
                                        6,
                                        27
                                    ]
                                },
                                {
                                    "date_from": "2023-01-22",
                                    "date_to": "2023-01-28",
                                    "timestamp": 1674345600,
                                    "values": [
                                        7,
                                        36
                                    ]
                                },
                                {
                                    "date_from": "2023-01-29",
                                    "date_to": "2023-02-04",
                                    "timestamp": 1674950400,
                                    "values": [
                                        7,
                                        22
                                    ]
                                },
                                {
                                    "date_from": "2023-02-05",
                                    "date_to": "2023-02-11",
                                    "timestamp": 1675555200,
                                    "values": [
                                        8,
                                        31
                                    ]
                                },
                                {
                                    "date_from": "2023-02-12",
                                    "date_to": "2023-02-18",
                                    "timestamp": 1676160000,
                                    "values": [
                                        7,
                                        25
                                    ]
                                },
                                {
                                    "date_from": "2023-02-19",
                                    "date_to": "2023-02-25",
                                    "timestamp": 1676764800,
                                    "values": [
                                        10,
                                        28
                                    ]
                                },
                                {
                                    "date_from": "2023-02-26",
                                    "date_to": "2023-03-04",
                                    "timestamp": 1677369600,
                                    "values": [
                                        7,
                                        30
                                    ]
                                },
                                {
                                    "date_from": "2023-03-05",
                                    "date_to": "2023-03-11",
                                    "timestamp": 1677974400,
                                    "values": [
                                        9,
                                        31
                                    ]
                                },
                                {
                                    "date_from": "2023-03-12",
                                    "date_to": "2023-03-18",
                                    "timestamp": 1678579200,
                                    "values": [
                                        10,
                                        31
                                    ]
                                },
                                {
                                    "date_from": "2023-03-19",
                                    "date_to": "2023-03-25",
                                    "timestamp": 1679184000,
                                    "values": [
                                        6,
                                        34
                                    ]
                                },
                                {
                                    "date_from": "2023-03-26",
                                    "date_to": "2023-04-01",
                                    "timestamp": 1679788800,
                                    "values": [
                                        9,
                                        25
                                    ]
                                },
                                {
                                    "date_from": "2023-04-02",
                                    "date_to": "2023-04-08",
                                    "timestamp": 1680393600,
                                    "values": [
                                        7,
                                        32
                                    ]
                                },
                                {
                                    "date_from": "2023-04-09",
                                    "date_to": "2023-04-15",
                                    "timestamp": 1680998400,
                                    "values": [
                                        8,
                                        26
                                    ]
                                },
                                {
                                    "date_from": "2023-04-16",
                                    "date_to": "2023-04-22",
                                    "timestamp": 1681603200,
                                    "values": [
                                        7,
                                        30
                                    ]
                                },
                                {
                                    "date_from": "2023-04-23",
                                    "date_to": "2023-04-29",
                                    "timestamp": 1682208000,
                                    "values": [
                                        6,
                                        35
                                    ]
                                },
                                {
                                    "date_from": "2023-04-30",
                                    "date_to": "2023-05-06",
                                    "timestamp": 1682812800,
                                    "values": [
                                        7,
                                        32
                                    ]
                                },
                                {
                                    "date_from": "2023-05-07",
                                    "date_to": "2023-05-13",
                                    "timestamp": 1683417600,
                                    "values": [
                                        8,
                                        29
                                    ]
                                },
                                {
                                    "date_from": "2023-05-14",
                                    "date_to": "2023-05-20",
                                    "timestamp": 1684022400,
                                    "values": [
                                        7,
                                        25
                                    ]
                                },
                                {
                                    "date_from": "2023-05-21",
                                    "date_to": "2023-05-27",
                                    "timestamp": 1684627200,
                                    "values": [
                                        5,
                                        23
                                    ]
                                },
                                {
                                    "date_from": "2023-05-28",
                                    "date_to": "2023-06-03",
                                    "timestamp": 1685232000,
                                    "values": [
                                        9,
                                        29
                                    ]
                                },
                                {
                                    "date_from": "2023-06-04",
                                    "date_to": "2023-06-10",
                                    "timestamp": 1685836800,
                                    "values": [
                                        8,
                                        37
                                    ]
                                },
                                {
                                    "date_from": "2023-06-11",
                                    "date_to": "2023-06-17",
                                    "timestamp": 1686441600,
                                    "values": [
                                        7,
                                        31
                                    ]
                                },
                                {
                                    "date_from": "2023-06-18",
                                    "date_to": "2023-06-24",
                                    "timestamp": 1687046400,
                                    "values": [
                                        8,
                                        36
                                    ]
                                },
                                {
                                    "date_from": "2023-06-25",
                                    "date_to": "2023-07-01",
                                    "timestamp": 1687651200,
                                    "values": [
                                        8,
                                        31
                                    ]
                                },
                                {
                                    "date_from": "2023-07-02",
                                    "date_to": "2023-07-08",
                                    "timestamp": 1688256000,
                                    "values": [
                                        5,
                                        29
                                    ]
                                },
                                {
                                    "date_from": "2023-07-09",
                                    "date_to": "2023-07-15",
                                    "timestamp": 1688860800,
                                    "values": [
                                        4,
                                        35
                                    ]
                                },
                                {
                                    "date_from": "2023-07-16",
                                    "date_to": "2023-07-22",
                                    "timestamp": 1689465600,
                                    "values": [
                                        7,
                                        31
                                    ]
                                },
                                {
                                    "date_from": "2023-07-23",
                                    "date_to": "2023-07-29",
                                    "timestamp": 1690070400,
                                    "values": [
                                        6,
                                        27
                                    ]
                                },
                                {
                                    "date_from": "2023-07-30",
                                    "date_to": "2023-08-05",
                                    "timestamp": 1690675200,
                                    "values": [
                                        11,
                                        29
                                    ]
                                },
                                {
                                    "date_from": "2023-08-06",
                                    "date_to": "2023-08-12",
                                    "timestamp": 1691280000,
                                    "values": [
                                        9,
                                        26
                                    ]
                                },
                                {
                                    "date_from": "2023-08-13",
                                    "date_to": "2023-08-19",
                                    "timestamp": 1691884800,
                                    "values": [
                                        8,
                                        24
                                    ]
                                },
                                {
                                    "date_from": "2023-08-20",
                                    "date_to": "2023-08-26",
                                    "timestamp": 1692489600,
                                    "values": [
                                        8,
                                        31
                                    ]
                                },
                                {
                                    "date_from": "2023-08-27",
                                    "date_to": "2023-09-02",
                                    "timestamp": 1693094400,
                                    "values": [
                                        10,
                                        48
                                    ]
                                },
                                {
                                    "date_from": "2023-09-03",
                                    "date_to": "2023-09-09",
                                    "timestamp": 1693699200,
                                    "values": [
                                        21,
                                        44
                                    ]
                                },
                                {
                                    "date_from": "2023-09-10",
                                    "date_to": "2023-09-16",
                                    "timestamp": 1694304000,
                                    "values": [
                                        23,
                                        58
                                    ]
                                },
                                {
                                    "date_from": "2023-09-17",
                                    "date_to": "2023-09-23",
                                    "timestamp": 1694908800,
                                    "values": [
                                        22,
                                        45
                                    ]
                                },
                                {
                                    "date_from": "2023-09-24",
                                    "date_to": "2023-09-30",
                                    "timestamp": 1695513600,
                                    "values": [
                                        22,
                                        48
                                    ]
                                },
                                {
                                    "date_from": "2023-10-01",
                                    "date_to": "2023-10-07",
                                    "timestamp": 1696118400,
                                    "values": [
                                        18,
                                        67
                                    ]
                                },
                                {
                                    "date_from": "2023-10-08",
                                    "date_to": "2023-10-14",
                                    "timestamp": 1696723200,
                                    "values": [
                                        23,
                                        100
                                    ]
                                },
                                {
                                    "date_from": "2023-10-15",
                                    "date_to": "2023-10-21",
                                    "timestamp": 1697328000,
                                    "values": [
                                        32,
                                        80
                                    ]
                                },
                                {
                                    "date_from": "2023-10-22",
                                    "date_to": "2023-10-28",
                                    "timestamp": 1697932800,
                                    "values": [
                                        22,
                                        80
                                    ]
                                },
                                {
                                    "date_from": "2023-10-29",
                                    "date_to": "2023-11-04",
                                    "timestamp": 1698537600,
                                    "values": [
                                        17,
                                        77
                                    ]
                                },
                                {
                                    "date_from": "2023-11-05",
                                    "date_to": "2023-11-11",
                                    "timestamp": 1699142400,
                                    "values": [
                                        7,
                                        75
                                    ]
                                },
                                {
                                    "date_from": "2023-11-12",
                                    "date_to": "2023-11-18",
                                    "timestamp": 1699747200,
                                    "values": [
                                        7,
                                        80
                                    ]
                                },
                                {
                                    "date_from": "2023-11-19",
                                    "date_to": "2023-11-25",
                                    "timestamp": 1700352000,
                                    "values": [
                                        4,
                                        78
                                    ]
                                },
                                {
                                    "date_from": "2023-11-26",
                                    "date_to": "2023-12-02",
                                    "timestamp": 1700956800,
                                    "values": [
                                        7,
                                        40
                                    ]
                                },
                                {
                                    "date_from": "2023-12-03",
                                    "date_to": "2023-12-09",
                                    "timestamp": 1701561600,
                                    "values": [
                                        7,
                                        27
                                    ]
                                },
                                {
                                    "date_from": "2023-12-10",
                                    "date_to": "2023-12-16",
                                    "timestamp": 1702166400,
                                    "values": [
                                        5,
                                        29
                                    ]
                                },
                                {
                                    "date_from": "2023-12-17",
                                    "date_to": "2023-12-23",
                                    "timestamp": 1702771200,
                                    "values": [
                                        7,
                                        29
                                    ]
                                },
                                {
                                    "date_from": "2023-12-24",
                                    "date_to": "2023-12-30",
                                    "timestamp": 1703376000,
                                    "values": [
                                        6,
                                        33
                                    ]
                                },
                                {
                                    "date_from": "2023-12-31",
                                    "date_to": "2024-01-01",
                                    "timestamp": 1703980800,
                                    "values": [
                                        11,
                                        23
                                    ]
                                }
                            ],
                            "averages": [
                                10,
                                39
                            ]
                        },
                        {
                            "position": 2,
                            "type": "subregion_interests",
                            "keywords": [
                                "rugby",
                                "cricket"
                            ],
                            "interests": [
                                {
                                    "keyword": "rugby",
                                    "values": [
                                        {
                                            "geo_id": null,
                                            "geo_name": "Alabama",
                                            "value": 30
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Alaska",
                                            "value": 0
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Arizona",
                                            "value": 33
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Arkansas",
                                            "value": 97
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "California",
                                            "value": 46
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Colorado",
                                            "value": 46
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Connecticut",
                                            "value": 34
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Delaware",
                                            "value": 14
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "District of Columbia",
                                            "value": 89
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Florida",
                                            "value": 26
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Georgia",
                                            "value": 22
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Hawaii",
                                            "value": 43
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Idaho",
                                            "value": 48
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Illinois",
                                            "value": 44
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Indiana",
                                            "value": 43
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Iowa",
                                            "value": 31
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Kansas",
                                            "value": 18
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Kentucky",
                                            "value": 12
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Louisiana",
                                            "value": 35
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Maine",
                                            "value": 53
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Maryland",
                                            "value": 28
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Massachusetts",
                                            "value": 48
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Michigan",
                                            "value": 23
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Minnesota",
                                            "value": 10
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Mississippi",
                                            "value": 11
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Missouri",
                                            "value": 29
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Montana",
                                            "value": 53
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Nebraska",
                                            "value": 43
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Nevada",
                                            "value": 76
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "New Hampshire",
                                            "value": 100
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "New Jersey",
                                            "value": 50
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "New Mexico",
                                            "value": 19
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "New York",
                                            "value": 55
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "North Carolina",
                                            "value": 59
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "North Dakota",
                                            "value": 86
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Ohio",
                                            "value": 45
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Oklahoma",
                                            "value": 35
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Oregon",
                                            "value": 36
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Pennsylvania",
                                            "value": 38
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Rhode Island",
                                            "value": 83
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "South Carolina",
                                            "value": 36
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "South Dakota",
                                            "value": 0
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Tennessee",
                                            "value": 20
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Texas",
                                            "value": 24
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Utah",
                                            "value": 38
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Vermont",
                                            "value": 57
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Virginia",
                                            "value": 61
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Washington",
                                            "value": 39
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "West Virginia",
                                            "value": 11
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Wisconsin",
                                            "value": 51
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Wyoming",
                                            "value": 27
                                        }
                                    ]
                                },
                                {
                                    "keyword": "cricket",
                                    "values": [
                                        {
                                            "geo_id": null,
                                            "geo_name": "Alabama",
                                            "value": 33
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Alaska",
                                            "value": 22
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Arizona",
                                            "value": 74
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Arkansas",
                                            "value": 54
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "California",
                                            "value": 47
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Colorado",
                                            "value": 32
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Connecticut",
                                            "value": 41
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Delaware",
                                            "value": 43
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "District of Columbia",
                                            "value": 83
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Florida",
                                            "value": 46
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Georgia",
                                            "value": 59
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Hawaii",
                                            "value": 13
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Idaho",
                                            "value": 26
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Illinois",
                                            "value": 50
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Indiana",
                                            "value": 53
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Iowa",
                                            "value": 35
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Kansas",
                                            "value": 62
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Kentucky",
                                            "value": 48
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Louisiana",
                                            "value": 42
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Maine",
                                            "value": 44
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Maryland",
                                            "value": 48
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Massachusetts",
                                            "value": 50
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Michigan",
                                            "value": 37
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Minnesota",
                                            "value": 42
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Mississippi",
                                            "value": 68
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Missouri",
                                            "value": 75
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Montana",
                                            "value": 29
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Nebraska",
                                            "value": 36
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Nevada",
                                            "value": 34
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "New Hampshire",
                                            "value": 34
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "New Jersey",
                                            "value": 78
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "New Mexico",
                                            "value": 29
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "New York",
                                            "value": 58
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "North Carolina",
                                            "value": 51
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "North Dakota",
                                            "value": 100
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Ohio",
                                            "value": 50
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Oklahoma",
                                            "value": 60
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Oregon",
                                            "value": 35
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Pennsylvania",
                                            "value": 49
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Rhode Island",
                                            "value": 38
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "South Carolina",
                                            "value": 51
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "South Dakota",
                                            "value": 47
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Tennessee",
                                            "value": 52
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Texas",
                                            "value": 70
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Utah",
                                            "value": 28
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Vermont",
                                            "value": 53
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Virginia",
                                            "value": 64
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Washington",
                                            "value": 39
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "West Virginia",
                                            "value": 27
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Wisconsin",
                                            "value": 41
                                        },
                                        {
                                            "geo_id": null,
                                            "geo_name": "Wyoming",
                                            "value": 9
                                        }
                                    ]
                                }
                            ],
                            "interests_comparison": {
                                "items": [
                                    {
                                        "geo_id": null,
                                        "geo_name": "Alabama",
                                        "values": [
                                            23,
                                            77
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Alaska",
                                        "values": [
                                            0,
                                            100
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Arizona",
                                        "values": [
                                            13,
                                            87
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Arkansas",
                                        "values": [
                                            37,
                                            63
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "California",
                                        "values": [
                                            24,
                                            76
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Colorado",
                                        "values": [
                                            32,
                                            68
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Connecticut",
                                        "values": [
                                            22,
                                            78
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Delaware",
                                        "values": [
                                            10,
                                            90
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "District of Columbia",
                                        "values": [
                                            26,
                                            74
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Florida",
                                        "values": [
                                            16,
                                            84
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Georgia",
                                        "values": [
                                            11,
                                            89
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Hawaii",
                                        "values": [
                                            52,
                                            48
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Idaho",
                                        "values": [
                                            38,
                                            62
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Illinois",
                                        "values": [
                                            22,
                                            78
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Indiana",
                                        "values": [
                                            21,
                                            79
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Iowa",
                                        "values": [
                                            22,
                                            78
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Kansas",
                                        "values": [
                                            9,
                                            91
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Kentucky",
                                        "values": [
                                            8,
                                            92
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Louisiana",
                                        "values": [
                                            22,
                                            78
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Maine",
                                        "values": [
                                            29,
                                            71
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Maryland",
                                        "values": [
                                            16,
                                            84
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Massachusetts",
                                        "values": [
                                            24,
                                            76
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Michigan",
                                        "values": [
                                            17,
                                            83
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Minnesota",
                                        "values": [
                                            8,
                                            92
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Mississippi",
                                        "values": [
                                            5,
                                            95
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Missouri",
                                        "values": [
                                            11,
                                            89
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Montana",
                                        "values": [
                                            38,
                                            63
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Nebraska",
                                        "values": [
                                            29,
                                            71
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Nevada",
                                        "values": [
                                            42,
                                            58
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "New Hampshire",
                                        "values": [
                                            49,
                                            51
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "New Jersey",
                                        "values": [
                                            18,
                                            82
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "New Mexico",
                                        "values": [
                                            18,
                                            82
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "New York",
                                        "values": [
                                            24,
                                            76
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "North Carolina",
                                        "values": [
                                            28,
                                            72
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "North Dakota",
                                        "values": [
                                            22,
                                            78
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Ohio",
                                        "values": [
                                            23,
                                            77
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Oklahoma",
                                        "values": [
                                            16,
                                            84
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Oregon",
                                        "values": [
                                            26,
                                            74
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Pennsylvania",
                                        "values": [
                                            21,
                                            79
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Rhode Island",
                                        "values": [
                                            42,
                                            58
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "South Carolina",
                                        "values": [
                                            19,
                                            81
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "South Dakota",
                                        "values": [
                                            0,
                                            100
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Tennessee",
                                        "values": [
                                            11,
                                            89
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Texas",
                                        "values": [
                                            10,
                                            90
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Utah",
                                        "values": [
                                            31,
                                            69
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Vermont",
                                        "values": [
                                            26,
                                            74
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Virginia",
                                        "values": [
                                            24,
                                            76
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Washington",
                                        "values": [
                                            25,
                                            75
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "West Virginia",
                                        "values": [
                                            13,
                                            88
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Wisconsin",
                                        "values": [
                                            29,
                                            71
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Wyoming",
                                        "values": [
                                            50,
                                            50
                                        ]
                                    }
                                ],
                                "absolute_items": [
                                    {
                                        "geo_id": null,
                                        "geo_name": "Alabama",
                                        "values": [
                                            10,
                                            33
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Alaska",
                                        "values": [
                                            0,
                                            22
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Arizona",
                                        "values": [
                                            11,
                                            74
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Arkansas",
                                        "values": [
                                            32,
                                            54
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "California",
                                        "values": [
                                            15,
                                            47
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Colorado",
                                        "values": [
                                            15,
                                            32
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Connecticut",
                                        "values": [
                                            11,
                                            41
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "Delaware",
                                        "values": [
                                            5,
                                            43
                                        ]
                                    },
                                    {
                                        "geo_id": null,
                                        "geo_name": "District of Columbia",
                                        "values": [
                                            29,
[...]
